Package com.io7m.jregions.core.unparameterized.sizes

# Class VolumeSizeBD.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.sizes.VolumeSizeBD.Builder

Enclosing class:
  VolumeSizeBD

public static final class VolumeSizeBD.Builder extends Object
Builds instances of type `VolumeSizeBD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VolumeSizeBD`
  `build()`
  Builds a new `VolumeSizeBD`.
  `final VolumeSizeBD.Builder`
  `from(VolumeSizeBDType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeBDType` instance.
  `final VolumeSizeBD.Builder`
  `from(VolumeSizeValuesBDType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesBDType` instance.
  `final VolumeSizeBD.Builder`
  `setSizeX(BigDecimal sizeX)`
  Initializes the value for the `sizeX` attribute.
  `final VolumeSizeBD.Builder`
  `setSizeY(BigDecimal sizeY)`
  Initializes the value for the `sizeY` attribute.
  `final VolumeSizeBD.Builder`
  `setSizeZ(BigDecimal sizeZ)`
  Initializes the value for the `sizeZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VolumeSizeBD.Builder from(VolumeSizeValuesBDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesBDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final VolumeSizeBD.Builder from(VolumeSizeBDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeBDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final VolumeSizeBD.Builder setSizeX(BigDecimal sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final VolumeSizeBD.Builder setSizeY(BigDecimal sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeZ

    public final VolumeSizeBD.Builder setSizeZ(BigDecimal sizeZ)
    Initializes the value for the `sizeZ` attribute.
    Parameters:
      `sizeZ` - The value for sizeZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VolumeSizeBD build()
    Builds a new `VolumeSizeBD`.
    Returns:
      An immutable instance of VolumeSizeBD
    Throws:
      `IllegalStateException` - if any required attributes are missing